libnvme(2)

NAME
enum nvme_features_async_event_config_flags - Asynchronous Event Configuration configuration flags

SYNOPSIS
enum nvme_features_async_event_config_flags {
NVME_FEATURE_AENCFG_SMART_CRIT_SPARE ,
NVME_FEATURE_AENCFG_SMART_CRIT_TEMPERATURE ,
NVME_FEATURE_AENCFG_SMART_CRIT_DEGRADED ,
NVME_FEATURE_AENCFG_SMART_CRIT_READ_ONLY ,
NVME_FEATURE_AENCFG_SMART_CRIT_VOLATILE_BACKUP ,
NVME_FEATURE_AENCFG_SMART_CRIT_READ_ONLY_PMR ,
NVME_FEATURE_AENCFG_NOTICE_NAMESPACE_ATTRIBUTES ,
NVME_FEATURE_AENCFG_NOTICE_FIRMWARE_ACTIVATION ,
NVME_FEATURE_AENCFG_NOTICE_TELEMETRY_LOG ,
NVME_FEATURE_AENCFG_NOTICE_ANA_CHANGE ,
NVME_FEATURE_AENCFG_NOTICE_PL_EVENT ,
NVME_FEATURE_AENCFG_NOTICE_LBA_STATUS ,
NVME_FEATURE_AENCFG_NOTICE_EG_EVENT ,
NVME_FEATURE_AENCFG_NOTICE_DISCOVERY_CHANGE

};

Constants

NVME_FEATURE_AENCFG_SMART_CRIT_SPARE

NVME_FEATURE_AENCFG_SMART_CRIT_TEMPERATURE

NVME_FEATURE_AENCFG_SMART_CRIT_DEGRADED

NVME_FEATURE_AENCFG_SMART_CRIT_READ_ONLY

NVME_FEATURE_AENCFG_SMART_CRIT_VOLATILE_BACKUP

NVME_FEATURE_AENCFG_SMART_CRIT_READ_ONLY_PMR

NVME_FEATURE_AENCFG_NOTICE_NAMESPACE_ATTRIBUTES

NVME_FEATURE_AENCFG_NOTICE_FIRMWARE_ACTIVATION

NVME_FEATURE_AENCFG_NOTICE_TELEMETRY_LOG

NVME_FEATURE_AENCFG_NOTICE_ANA_CHANGE

NVME_FEATURE_AENCFG_NOTICE_PL_EVENT

NVME_FEATURE_AENCFG_NOTICE_LBA_STATUS

NVME_FEATURE_AENCFG_NOTICE_EG_EVENT

NVME_FEATURE_AENCFG_NOTICE_DISCOVERY_CHANGE